Get Account Identities Report
Get Account Identities Report
curl -X GET "https://api.prd.rad.security/accounts/example_string/identities/reports/latest" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/identities/reports/latest"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/identities/reports/latest", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/identities/reports/latest", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/identities/reports/latest')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"avg_risk_score": 3.14,
"avg_risks_per_identity": 3.14,
"created_at": "example_string",
"day": 42,
"hour": 42,
"id": "example_string",
"identities_count": 123,
"identities_with_risks_count": 123,
"identity_counts_per_level": {},
"identity_counts_per_risk": {},
"identity_counts_per_source": {},
"identity_counts_per_type": {},
"month": 42,
"risk_counts_per_identity_type": {},
"risk_counts_per_source": {},
"risk_counts_per_type": {},
"risks_count": 10,
"year": 42
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/identities/reports/latestGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount ID
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount ID
Responses
account_idstring
avg_risk_scorenumber
avg_risks_per_identitynumber
created_atstring
dayinteger
hourinteger
idstring
identities_countinteger
identities_with_risks_countinteger
identity_counts_per_levelobject
identity_counts_per_riskobject
identity_counts_per_sourceobject
identity_counts_per_typeobject
monthinteger
risk_counts_per_identity_typeobject
risk_counts_per_sourceobject
risk_counts_per_typeobject
risks_countinteger
yearinteger
Was this page helpful?